 function out = Perlin(sz,n1,n2)
 
out = zeros(sz);
 
 p=0.85; %level of clustering
 b=0.2 ; % min intensity for the matrix
% 1>1 two gaussians, 1>678 less symeric gassuian
for ind = n1:n2
    
    f = power(2,ind) 
    
    amp = power(p,ind);

    randkuva = randn(f);
    randkuva = [randkuva(:,1) randkuva randkuva(:,end)];
    randkuva = [randkuva(1,:); randkuva; randkuva(end,:)];
    
    H = ones(3)/9;
    randkuva = conv2(randkuva,H,'valid');
    
    y = linspace(1,size(randkuva,1),sz(1));
    x = linspace(1,size(randkuva,2),sz(2))';
    
    if f < 3
        method = 'bilinear';
    else
        method = 'bicubic';
    end
    
    interpkuva = interp2(randkuva,x,y,method);

    out = out + interpkuva*amp;
end

out = out - min(out(:));
out = out./max(out(:));
 out = b + (1-b)*out;
%  out=double( out );