
      function [Iout]=spotmaker(im_sz,num_spots,spot_data)
%     load all
 
% %parse and check inputs
% if or(im_sz(1)<5,im_sz(2)<5)
%     error('The image size must be greater than 5 x 5 pixels.')
% end
 
  noise_mu=0.001;
 
 noise_std=0.02;%     'The noise standard deviation must be positive.' 
 int_mu=1.5;%'The mean spot intensity must be positive.'
      int_std=0.02; %        error('The spot intensity standard deviation must be positive.') 
    wid_mu=1.5; %'The mean spot width must be positive.') 
    wid_std=0.02; %        error('The standard deviation in spot width must be positive.')
 
  

%*************************************************************************
%compute position matrices
Xpos = ones(im_sz(1),1)*(1:im_sz(2));
Ypos = (1:im_sz(1))'*ones(1,im_sz(2));
   
%create centroid list
 
   

%generate intensities
spot_data.ints=abs(normrnd(int_mu,int_std,[1,num_spots]));

%generate standard deviations
spot_data.stds=abs(normrnd(wid_mu,wid_std,[1,num_spots]));

%generate noise image
Inoise=normrnd(noise_mu,noise_std,[im_sz(1),im_sz(2)]);

%create basal image
Iout=Inoise;

%construct output image
 
for p=1:num_spots
    Itemp=spot_data.ints(p)*exp(-((Xpos-spot_data.Xcent(p)).^2....
        +(Ypos-spot_data.Ycent(p)).^2)/(2*spot_data.stds(p)^2));
    Iout=Iout+Itemp; 
end
%  
% 
 Iout=abs(Iout);
% figure(1)
% imagesc( Iout)
% pause
